| Cantera 3.0.0

Loading...
Searching...
No Matches
Classes | Functions
Advanced Functors
Numerical Utilities » Functor Objects

Advanced functors implement expressions that require multiple parameters. More...

Collaboration diagram for Advanced Functors:

## Detailed Description

Advanced functors implement expressions that require multiple parameters.

The following advanced functor types are implemented:

- `"tabulated-linear"` and `"tabulated-previous"` (class Tabulated1),
- `"polynomial"` (class Poly1),
- `"Fourier"` (class Fourier1),
- `"Gaussian"` (class Gaussian1),
- `"Arrhenius"` (class Arrhenius1).

## Classes
class | Tabulated1
| Implements a tabulated function. More...
class | Gaussian1
| Implements a Gaussian function. More...
class | Gaussian
| A Gaussian. More...
class | Poly1
| Implements a polynomial of degree n. More...
class | Fourier1
| Implements a Fourier cosine/sine series. More...
class | Arrhenius1
| Implements a sum of Arrhenius terms. More...

## Functions
shared_ptr< Func1 > | newFunc1 (const string &func1Type, const vector< double > &params)
| Create a new advanced functor object (see Advanced Functors).

## Function Documentation

## ◆ newFunc1()

shared_ptr< Func1 > newFunc1 | ( | const string & | func1Type,
|  | const vector< double > & | params
| ) |  |

Create a new advanced functor object (see Advanced Functors).

Parameters

  func1Type | String identifying functor type.
  params | Parameter vector; definition depends on functor type.

Since
  New in Cantera 3.0

Definition at line 151 of file Func1Factory.cpp.